org.apache.lucene.search.similarities

## Class NormalizationH3

- java.lang.Object
- - org.apache.lucene.search.similarities.Normalization
  - - org.apache.lucene.search.similarities.NormalizationH3

-     public class NormalizationH3
      extends Normalization

  Dirichlet Priors normalization
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization

      `Normalization.NoNormalization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizationH3()` Calls `NormalizationH3(800)`
    `NormalizationH3(float mu)` Creates NormalizationH3 with the supplied parameter `μ`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getMu()` Returns the parameter `μ`
    `float` | `tfn(BasicStats stats, float tf, float len)` Returns the normalized term frequency.
    `String` | `toString()` Subclasses must override this method to return the code of the normalization formula.

    - ### Methods inherited from class org.apache.lucene.search.similarities.Normalization

      `explain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizationH3

          public NormalizationH3()

      Calls `NormalizationH3(800)`

    - #### NormalizationH3

          public NormalizationH3(float mu)

      Creates NormalizationH3 with the supplied parameter `μ`.
      Parameters:
        `mu` - smoothing parameter `μ`

  - ### Method Detail

    - #### tfn

          public float tfn(BasicStats stats,
                           float tf,
                           float len)

      Description copied from class: `Normalization`
      Returns the normalized term frequency.
      Specified by:
        `tfn` in class `Normalization`
        `len` - the field length.

    - #### toString

          public String toString()

      Description copied from class: `Normalization`
      Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.
      Specified by:
        `toString` in class `Normalization`

    - #### getMu

          public float getMu()

      Returns the parameter `μ`
      See Also:
        `NormalizationH3(float)`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.